

#ifndef SBK_PYSIDE_VIEWER_PYTHON_H
#define SBK_PYSIDE_VIEWER_PYTHON_H

#include <Python.h>
#include <conversions.h>
#include <sbkenum.h>
#include <basewrapper.h>
#include <bindingmanager.h>
#include <memory>

// Module Includes
#include <pyside_qtcore_python.h>
#include <pyside_qtgui_python.h>
#include <pyside_qtopengl_python.h>

// Binded library includes
#include <pysideviewer.h>
// Conversion Includes - Primitive Types
#include <QStringList>
#include <QString>
#include <datetime.h>
#include <signalmanager.h>
#include <typeresolver.h>
#include <QTextDocument>
#include <QtConcurrentFilter>

// Conversion Includes - Container Types
#include <QMap>
#include <QStack>
#include <qlinkedlist.h>
#include <QVector>
#include <QSet>
#include <QPair>
#include <pysideconversions.h>
#include <qqueue.h>
#include <QList>
#include <QMultiMap>

// Type indices
#define SBK_PYSIDEVIEWER_IDX                                         0
#define SBK_pyside_viewer_IDX_COUNT                                  1

// This variable stores all python types exported by this module
extern PyTypeObject** Sbkpyside_viewerTypes;

// Macros for type check

namespace Shiboken
{

// PyType functions, to get the PyObjectType for a type T
template<> inline PyTypeObject* SbkType< ::PySideViewer >() { return reinterpret_cast<PyTypeObject*>(Sbkpyside_viewerTypes[SBK_PYSIDEVIEWER_IDX]); }

// Generated converters declarations ----------------------------------

template<>
struct Converter< ::PySideViewer* > : ObjectTypeConverter< ::PySideViewer >
{
};

template<>
struct Converter< ::PySideViewer > : ObjectTypeReferenceConverter< ::PySideViewer >
{
};

} // namespace Shiboken

// User defined converters --------------------------------------------
// Generated converters implemantations -------------------------------


#endif // SBK_PYSIDE_VIEWER_PYTHON_H

